const Urls = {
    // 登录
    index: {
        login: "/admin/index/login",
        balanceUpload: "/balance/index/upload",
        message: "/admin/message/list",
        messageEdit: "/admin/message/edit",
    },
    // 菜单列表
    common: {
        menuList: "/admin/menu/list"
    },
    // 上传类
    upload: {
        file: "/admin/upload/file"
    },

    /* 基础数据 */
    // 公司信息
    company: {
         detail: "/admin/company/detail", //企业详情
         edit: "/admin/company/edit", //更新企业信息
    },
    // 角色权限
    role: {
        init: "admin/role/init", //初始化
        list: "admin/role/list", //列表
        detail: "admin/role/detail", //详情
        edit: "admin/role/edit", //更新
        add: "admin/role/add", //添加
        del: "admin/role/del", //删除/批量删除
    },
    // 部门人员
    department: {
        init: "/admin/department/init", //部门初始化
        list: "/admin/department/list", //部门列表
        detail: "/admin/department/detail", //部门详情
        add: "/admin/department/add", //部门添加
        edit: "/admin/department/edit", //部门更新
        del: "/admin/department/del", //部门删除/批量删除
        initAdmin: "admin/admin/init", //人员初始化
        listAdmin: "/admin/admin/list", //人员列表
        addAdmin: "/admin/admin/add", //人员添加
        detailAdmin: "/admin/admin/detail", //人员详情
        editAdmin: "/admin/admin/edit", //人员更新
        delAdmin: "/admin/admin/del", //人员删除/批量删除
        resetPassword: "/admin/admin/resetPassword", //重置密码
        passAdmin: "/admin/admin/pass", //审核
        rePassAdmin: "/admin/admin/rePass", //反审核
        import: "admin/admin/import", //人员导入
        export: "admin/admin/export", //人员导出
    },
    // 机台管理
    machine: {
        init: "/admin/machine/init", //初始化
        list: "/admin/machine/list", //列表
        add: "/admin/machine/add", //添加
        edit: "/admin/machine/edit", //更新
        del: "/admin/machine/del", //删除/批量删除
        pass: "/admin/machine/pass", //审核
        rePass: "/admin/machine/rePass", //反审核
        import: "admin/machine/import", //机台导入
        export: "admin/machine/export", //机台导出
    },
    // 计量单位
    unitMeasurement: {
        init: "/admin/unitMeasurement/init", //初始化
        list: "/admin/unitMeasurement/list", //列表
        add: "/admin/unitMeasurement/add", //添加
        edit: "/admin/unitMeasurement/edit", //更新
        del: "/admin/unitMeasurement/del", //删除/批量删除
        pass: "/admin/unitMeasurement/pass", //审核
        rePass: "/admin/unitMeasurement/rePass", //反审核
        import: "admin/unitMeasurement/import", //导入
        export: "admin/unitMeasurement/export", //导出
    },
    // 产品类别
    productType: {
        init: "admin/productType/init", //初始化
        list: "admin/productType/list", //列表
        add: "admin/productType/add", //添加
        edit: "admin/productType/edit", //更新
        del: "admin/productType/del", //删除/批量删除
        pass: "/admin/productType/pass", //审核
        rePass: "/admin/productType/rePass", //反审核
        import: "admin/productType/import", //导入
        export: "admin/productType/export", //导出
    },
    // 产品管理
    product: {
        init: "admin/product/init", //初始化
        list: "admin/product/list", //列表
        add: "admin/product/add", //添加
        edit: "admin/product/edit", //更新
        del: "admin/product/del", //删除/批量删除
        pass: "/admin/product/pass", //审核
        rePass: "/admin/product/rePass", //反审核
        detail: "admin/product/detail", //详情
        import: "admin/product/import", //导入
        export: "admin/product/export", //导出
        productProcedureDetail: "/admin/productProcedure/detail", //工序设置详情
        productProcedureEdit: "/admin/productProcedure/edit", //工序设置更新
    },
    // 工序管理
    procedure: {
        init: "admin/procedure/init", //初始化
        list: "admin/procedure/list", //列表
        add: "admin/procedure/add", //添加
        edit: "admin/procedure/edit", //更新
        del: "admin/procedure/del", //删除/批量删除
        detail: "admin/procedure/detail", //详情
        import: "admin/procedure/import", //导入
        export: "admin/procedure/export", //导出
    },
    // 工资项目
    salaryItem: {
        init: "admin/salaryItem/init", //初始化
        list: "admin/salaryItem/list", //列表
        detail: "admin/salaryItem/detail", //详情
        add: "admin/salaryItem/add", //添加
        edit: "admin/salaryItem/edit", //更新
        del: "admin/salaryItem/del", //删除/批量删除
        pass: "/admin/salaryItem/pass", //审核
        rePass: "/admin/salaryItem/rePass", //反审核
    },
    // 车间管理
    workershop: {
        list: "admin/workshop/list", //列表
        detail: "admin/workshop/detail", //详情
        add: "admin/workshop/add", //添加
        edit: "admin/workshop/edit", //更新
        del: "admin/workshop/del", //删除/批量删除
        pass: "admin/workshop/pass", //审核
        rePass: "admin/workshop/rePass", //反审核
    },
    // 包装工序(收缩编码)
    procedurePackage: {
        init: "admin/procedurePackage/init", //初始化
        list: "admin/procedurePackage/list", //列表
        detail: "admin/procedurePackage/detail", //详情
        add: "admin/procedurePackage/add", //添加
        edit: "admin/procedurePackage/edit", //更新
        del: "admin/procedurePackage/del", //删除/批量删除
        pass: "admin/procedurePackage/pass", //审核
        rePass: "admin/procedurePackage/rePass", //反审核
        import: "admin/procedurePackage/import", //导入
        export: "admin/procedurePackage/export", //导出
    },

    /* 工资模块 */
    // 班次管理
    classes: {
        init: "admin/classes/init", //初始化
        list: "admin/classes/list", //列表
        detail: "admin/classes/detail", //详情
        add: "admin/classes/add", //添加
        edit: "admin/classes/edit", //更新
        del: "admin/classes/del", //删除/批量删除
        pass: "/admin/classes/pass", //审核
        rePass: "/admin/classes/rePass", //反审核
    },
    // 排班管理(考勤管理)
    rostering: {
        init: "/admin/rostering/init", //初始化
        list: "admin/rostering/list", //列表
        edit: "admin/rostering/edit", //更新
        detail: "admin/rostering/detail", //详情
        import: "admin/rostering/import", //排班导入
        export: "admin/rostering/export", //排班导出
        index: "api/rostering/index", //一键排班
    },
    // 考勤管理(考勤报表)
    rosteringRecord: {
        init: "/admin/rosteringRecord/init", //初始化
        list: "admin/rosteringRecord/list", //列表
        edit: "admin/rosteringRecord/edit", //更新
        detail: "admin/rosteringRecord/detail", //详情
        index: "api/rosteringRecord/index", //考勤统计
    },
    // 包装记录
    packing: {
        initDetail: "/admin/packing/initDetail", //初始化
        init: "/admin/packing/init", //初始化
        list: "admin/packing/list", //列表
        edit: "admin/packing/edit", //更新
        del: "admin/packing/del", //删除/批量删除
        add: "admin/packing/add", //添加
        detail: "admin/packing/detail", //详情
    },
    // 非包装记录
    noPacking: {
        init: "/admin/noPacking/init", //初始化
        list: "admin/noPacking/list", //列表
        edit: "admin/noPacking/edit", //更新
        del: "admin/noPacking/del", //删除/批量删除
        add: "admin/noPacking/add", //添加
        detail: "admin/noPacking/detail", //详情
    },
    // 拆包管理
    unPacking: {
        init: "/admin/unPacking/init", //初始化
        list: "/admin/unPacking/list", //列表
        detail: "/admin/unPacking/detail", //详情
        open: "/admin/unPacking/open", //拆包
    },

    /* 报表管理*/
    // 计时工资总表
    salary_hourly: {
        init: "admin/salary_hourly/init", //初始化
        list: "admin/salary_hourly/list", //列表
        detail: "admin/salary_hourly/detail", //详情
        add: "admin/salary_hourly/add", //添加
        edit: "admin/salary_hourly/edit", //更新
        del: "admin/salary_hourly/del", //删除/批量删除
    },
    // 计件工资总表
    salary_rate: {
        init: "admin/salary_rate/init", //初始化
        list: "admin/salary_rate/list", //列表
        detail: "admin/salary_rate/detail", //详情
        add: "admin/salary_rate/add", //添加
        edit: "admin/salary_rate/edit", //更新
        del: "admin/salary_rate/del", //删除/批量删除
    },
    // 机台产能报表
    machineCapacity: {
        init: "admin/machineCapacity/init", //初始化
        list: "admin/machineCapacity/list", //列表
        detail: "admin/machineCapacity/detail", //详情
        add: "admin/machineCapacity/add", //添加
        edit: "admin/machineCapacity/edit", //更新
        del: "admin/machineCapacity/del", //删除/批量删除
    },
    // 员工工资表
    salary: {
        init: "admin/salary/init", //初始化
        list: "admin/salary/list", //列表
        detail: "admin/salary/detail", //详情
        add: "admin/salary/add", //添加
        edit: "admin/salary/edit", //批量更新
        del: "admin/salary/del", //删除/批量删除
        submit: "admin/salary/submit", //提交更新
        index: "api/salary/index", //工资计算
        editSingle: "/admin/salary/editSingle", //更新
    },
    // 库存查询
    salaryRateStock: {
        init: "/admin/salaryRateStock/init", //初始化
        list: "/admin/salaryRateStock/list", //列表
    },
    // 数据看板
    statistics: {
        init: "admin/statistics/init", //初始化
        detail: "admin/statistics/detail", //详情
    },
};
export default Urls;
