import Http from "../../utils/net/Http";
import Urls from "../Urls";
const Department = {
    // 部门初始化
    async init() {
        let url = Urls.department.init;
        let param: object = {};
        let res = await Http.post(url, param);
        return res;
    },
    // 部门列表
    async list(param: object) {
        let url = Urls.department.list;
        let res = await Http.post(url, param);
        return res;
    },
    // 部门详情
    async detail(id: number) {
        let url = Urls.department.detail;
        let param: object = {id};
        let res = await Http.post(url, param);
        return res;
    },
    // 部门添加
    async add(param: object) {
        let url = Urls.department.add;
        let res = await Http.post(url, param);
        return res;
    },
    // 部门更新
    async edit(param: object) {
        let url = Urls.department.edit;
        let res = await Http.post(url, param);
        return res;
    },
    // 部门删除/批量删除
    async del(ids: string | number | object) {
        let url = Urls.department.del;
        let param: object = {ids};
        let res = await Http.post(url, param);
        return res;
    },
    // 人员初始化
    async initAdmin() {
        let url = Urls.department.initAdmin;
        let param: object = {};
        let res = await Http.post(url, param);
        return res;
    },
    // 人员列表
    async listAdmin(param: object) {
        let url = Urls.department.listAdmin;
        let res = await Http.post(url, param);
        return res;
    },
    // 人员添加
    async addAdmin(param: object) {
        let url = Urls.department.addAdmin;
        let res = await Http.post(url, param);
        return res;
    },
    // 人员详情
    async detailAdmin(id: number) {
        let url = Urls.department.detailAdmin;
        let param: object = {id};
        let res = await Http.post(url, param);
        return res;
    },
    // 人员更新
    async editAdmin(param: object) {
        let url = Urls.department.editAdmin;
        let res = await Http.post(url, param);
        return res;
    },
    // 人员删除/批量删除
    async delAdmin(ids: string | number | object) {
        let url = Urls.department.delAdmin;
        let param: object = {ids};
        let res = await Http.post(url, param);
        return res;
    },
    // 重置密码
    async resetPassword(param: object) {
        let url = Urls.department.resetPassword;
        let res = await Http.post(url, param);
        return res;
    },
    // 部门人员审核
    async passAdmin(ids: string | number | object) {
        let url = Urls.department.passAdmin;
        let param: object = {ids};
        let res = await Http.post(url, param);
        return res;
    },
    // 部门人员反审核
    async rePassAdmin(ids: string | number | object) {
        let url = Urls.department.rePassAdmin;
        let param: object = {ids};
        let res = await Http.post(url, param);
        return res;
    },
    // 人员导入
    async import(param: object) {
        let url = Urls.department.import;
        let res = await Http.post(url, param);
        return res;
    },
    // 人员导出
    async export(path: string | number | object) {
        let url = Urls.department.export;
        let param: object = { path };
        let res = await Http.post(url, param);
        return res;
    },
};
export default Department;
